%global scl_name_prefix rh-
%global scl_name_base dotnet
%global scl_name_version 21

%global scl %{scl_name_prefix}%{scl_name_base}%{scl_name_version}
%scl_package %scl

%global nfsmoutnable 1

# For testing this RPM by itself.
%global install_scl 1

# Do not produce empty debuginfo package
%global debug_package %{nil}

Name: %scl_name
Version: 2.1
Release: 26%{?dist}
Summary: Package that installs %scl
License: MIT

BuildRequires:  scl-utils-build
%if 0%{?install_scl}
Requires:       %{scl_prefix}dotnet
%endif

%description
This is the main package for %scl Software Collection.


%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.


%prep
%setup -c -T

%build
# Nothing to do

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}\${HOME:+:\${HOME}/.dotnet/tools}"
export CPATH="%{_includedir}\${CPATH:+:\${CPATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
export PYTHONPATH=%{_scl_root}%{python_sitelib}\${PYTHONPATH:+:\${PYTHONPATH}}
export XDG_DATA_DIRS=%{_datadir}:\${XDG_DATA_DIRS:-/usr/local/share:/usr/share}

# Opt out of telemetry collection by default
export DOTNET_CLI_TELEMETRY_OPTOUT=true

# Set the latest versions of ASP.NET Core packages to be picked up when
# building using the older SDKS
export LatestPatchVersionForAspNetCoreApp2_1=2.1.27
export LatestPatchVersionForAspNetCoreAll2_1=2.1.27
EOF


%files

%files runtime -f filelist
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config


%changelog
* Tue Apr 06 2021 Omair Majid <omajid@redhat.com> - 2.1-26
- Export environment variables to set ASP.NET Core versions to 2.1.27
- Resolves: RHBZ#1946717

* Mon Mar 01 2021 Omair Majid <omajid@redhat.com> - 2.1-25
- Export environment variables to set ASP.NET Core versions to 2.1.26
- Resolves: RHBZ#1933334

* Fri Jan 29 2021 Omair Majid <omajid@redhat.com> - 2.1-24
- Export environment variables to set ASP.NET Core versions to 2.1.25
- Resolves: RHBZ#1921938

* Mon Dec 14 2020 Omair Majid <omajid@redhat.com> - 2.1-23
- Export environment variables to set ASP.NET Core versions to 2.1.24
- Resolves: RHBZ#1905574

* Fri Oct 02 2020 Omair Majid <omajid@redhat.com> - 2.1-22
- Export environment variables to set ASP.NET Core versions to 2.1.23
- Resolves: RHBZ#1884079

* Mon Aug 31 2020 Omair Majid <omajid@redhat.com> - 2.1-21
- Export environment variables to set ASP.NET Core versions to 2.1.22
- Resolves: RHBZ#1874063

* Wed Aug 05 2020 Omair Majid <omajid@redhat.com> - 2.1-20
- Export environment variables to set ASP.NET Core versions to 2.1.21
- Resolves: RHBZ#1866118

* Mon Jun 29 2020 Omair Majid <omajid@redhat.com> - 2.1-19
- Export environment variables to set ASP.NET Core versions to 2.1.20
- Resolves: RHBZ#1851970

* Thu Jun 04 2020 Omair Majid <omajid@redhat.com> - 2.1-18
- Export environment variables to set ASP.NET Core versions to 2.1.19
- Resolves: RHBZ#1843671

* Mon Apr 27 2020 Omair Majid <omajid@redhat.com> - 2.1-17
- Export environment variables to set ASP.NET Core versions to 2.1.18
- Resolves: RHBZ#1828391

* Tue Mar 24 2020 Omair Majid <omajid@redhat.com> - 2.1-16
- Export environment variables to set ASP.NET Core versions to 2.1.17
- Resolves: RHBZ#1815640

* Tue Mar 10 2020 Omair Majid <omajid@redhat.com> - 2.1-15
- Export environment variables to set ASP.NET Core versions to 2.1.16
- Resolves: RHBZ#1799067

* Mon Dec 23 2019 Omair Majid <omajid@redhat.com> - 2.1-14
- Export environment variables to set ASP.NET Core versions to 2.1.15
- Resolves: RHBZ#1786178

* Thu Oct 31 2019 Omair Majid <omajid@redhat.com> - 2.1-13
- Export environment variables to set ASP.NET Core versions to 2.1.14
- Resolves: RHBZ#1767628

* Thu Aug 29 2019 Omair Majid <omajid@redhat.com> - 2.1-12
- Export environment variables to set ASP.NET Core versions to 2.1.13
- Resolves: RHBZ#1743290

* Wed Jul 10 2019 Omair Majid <omajid@redhat.com> - 2.1-11
- Export environment variables to set ASP.NET Core versions to 2.1.12
- Resolves: RHBZ#1728839

* Wed May 01 2019 Omair Majid <omajid@redhat.com> - 2.1-10
- Export environment variables to set ASP.NET Core versions to 2.1.11
- Resolves: RHBZ#1705147

* Wed Apr 03 2019 Omair Majid <omajid@redhat.com> - 2.1-9
- Export environment variables to set ASP.NET Core versions to 2.1.10
- Resolves: RHBZ#1695688

* Wed Mar 06 2019 Omair Majid <omajid@redhat.com> - 2.1-8
- Export environment variables to set ASP.NET Core versions to 2.1.9
- Resolves: RHBZ#1685720

* Wed Jan 30 2019 Omair Majid <omajid@redhat.com> - 2.1-7
- Export environment variables to set ASP.NET Core versions to 2.1.8
- Resolves: RHBZ#1670648

* Fri Dec 14 2018 Omair Majid <omajid@redhat.com> - 2.1-6
- Export environment variables to set ASP.NET Core versions to 2.1.7
- Resolves: RHBZ#1659216

* Mon Nov 05 2018 Omair Majid <omajid@redhat.com> - 2.1-5
- Export environment variables to set ASP.NET Core versions to 2.1.6
- Resolves: rhbz#1646697

* Mon Oct 01 2018 Omair Majid <omajid@redhat.com> - 2.1-4
- Export environment variables to set ASP.NET Core versions to 2.1.5
- Resolves: rhbz#1634169

* Wed Sep 05 2018 Omair Majid <omajid@redhat.com> - 2.1-3
- Export environment variables to set ASP.NET Core versions to 2.1.4
- Resolves: rhbz#1625403

* Thu May 31 2018 Omair Majid <omajid@redhat.com> - 2.1-2
- Add ~/.dotnet/tools to PATH on scl-enable
- Resolves: rhbz#1584525

* Thu May 17 2018 Omair Majid <omajid@redhat.com> - 2.1-1
- Update to 2.1

* Tue Jun 20 2017 Omair Majid <omajid@redhat.com> - 2.0-6
- Add XDG_DATA_DIRS

* Thu Jun 8 2017 Omair Majid <omajid@redhat.com> - 2.0-5
- Add requires on main dotnet package

* Wed Apr 19 2017 Omair Majid <omajid@redhat.com> - 2.0-4
- Add CPATH

* Tue Apr 18 2017 Omair Majid <omajid@redhat.com> - 2.0-3
- Add PYTHONPATH
- Opt out of telemetry collection

* Mon Apr 17 2017 Omair Majid <omajid@redhat.com> - 2.0-2
- Remove unprintable characters from build section
- Do not require rest of SCL
- Do not install man page

* Thu Apr 13 2017 Omair Majid <omajid@redhat.com> 2.0-1
- Initial package
